//
//  SlowupLocalViewController.h
//  slowupDemo
//
//  Created by David Gerber on 21.10.11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "SlowupMapViewController.h"


@interface SlowupLocalViewController : UIViewController <UIWebViewDelegate>  {
    IBOutlet UIWebView *webView;
    UIActivityIndicatorView *activityIndicator;
    SlowupMapViewController *mapViewController;
    UIBarButtonItem *webBackButton;
    UIBarButtonItem *navBackButton;
}
@property (nonatomic, retain) UIWebView *webView;
@property (nonatomic, retain) SlowupMapViewController *mapViewController;
@property (nonatomic, retain) UIActivityIndicatorView *activityIndicator;
@property (nonatomic, retain) UIBarButtonItem *webBackButton;
@property (nonatomic, retain) UIBarButtonItem *navBackButton;
- (void) showMap: (id) sender;
-(void) webBackClicked:(id) sender;
@end
