//
//  SlowupAnnotationView.m
//  slowupDemo
//
//  Created by David Gerber on 23.10.11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "SlowupAnnotationView.h"
#import "SlowupAnnotation.h"

#define kHeight 20
#define kWidth  20
#define kBorder 0

@implementation SlowupAnnotationView
@synthesize imageView = _imageView;



- (id)initWithAnnotation:(id <MKAnnotation>)annotation reuseIdentifier:(NSString *)reuseIdentifier
{

    
	self = [super initWithAnnotation:annotation reuseIdentifier:reuseIdentifier];
	self.frame = CGRectMake(0, 0, kWidth, kHeight);
//	self.backgroundColor = [UIColor whiteColor];
    
//    self.canShowCallout = NO;
//    self.animatesDrop = YES;

    SlowupAnnotation *slowupAnnotation = (SlowupAnnotation*) annotation;
    
    NSString *imageStr = @"wc.png";
    if (slowupAnnotation.annotationType == SlowupMapAnnotationTypeMecano ) {
        imageStr = @"mecano2.png";
    } else if (slowupAnnotation.annotationType == SlowupMapAnnotationTypeInfirmerie ) {
        imageStr = @"infirmerie.png";
    } else if (slowupAnnotation.annotationType == SlowupMapAnnotationTypeWCHandi ) {
        imageStr = @"wc_handi.png";
    } 

    
	
	UIImage* image = [UIImage imageNamed:imageStr];
 
	_imageView = [[[UIImageView alloc] initWithImage:image] autorelease];
		_imageView.frame = CGRectMake(kBorder, kBorder, kWidth - 2 * kBorder, kWidth - 2 * kBorder);
	[self addSubview:_imageView];
	
	return self;
	
}

-(void) dealloc
{
	[_imageView release];
	[super dealloc];
}

@end
