//
//  SlowupAnnotation.m
//  slowupDemo
//
//  Created by David Gerber on 23.10.11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "SlowupAnnotation.h"

@implementation SlowupAnnotation 
@synthesize coordinate     = _coordinate;
@synthesize annotationType = _annotationType;
@synthesize userData       = _userData;
@synthesize url            = _url;

-(id) initWithCoordinate:(CLLocationCoordinate2D)coordinate 
		  annotationType:(SlowupMapAnnotationType) annotationType
				   title:(NSString*)title
{
	self = [super init];
	_coordinate = coordinate;
	_title      = [title retain];
	_annotationType = annotationType;
	
	return self;
}

- (NSString *)title
{
	return _title;
}

- (NSString *)subtitle
{
	NSString* subtitle = nil;
	
	if(_annotationType == SlowupMapAnnotationTypeWC)
	{
		subtitle = @"Toiletten";
	}
	
	return subtitle;
}

-(void) dealloc
{
	[_title    release];
	[_userData release];
	[_url      release];
	
	[super dealloc];
}


@end
